Skip to main content
`Ctrl`+`K`

# MatPartitioningChacoSetEigenTol

Sets the tolerance for the eigensolver used by Chaco

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoSetEigenTol(MatPartitioning part, PetscReal tol)

Collective

## Input Parameters

- part - the partitioning context

- tol - the tolerance

## Options Database Key

- -mat_partitioning_chaco_eigen_tol tol - Tolerance for eigensolver

## Note

Must be positive. The default value is 0.001.

## See Also

`MatPartitioningType`, `MatPartitioning`, `MATPARTITIONINGCHACO`, `MatPartitioningChacoSetEigenSolver()`, `MatPartitioningChacoGetEigenTol()`

## Level

advanced

## Location

src/mat/graphops/partition/impls/chaco/chaco.c

## Implementations

MatPartitioningChacoSetEigenTol_Chaco() in src/mat/graphops/partition/impls/chaco/chaco.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages